Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: автозапyск dhcp - сервера  (Прочитано 929 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн korosten

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
автозапyск dhcp - сервера
« : 13 Февраль 2011, 00:23:31 »
Добрыого времени суток, ребят, у меня вопрос. как заставить автоматически запускатся dhcp - сервер?
Просто есть терминальная сеть, которая остается в руках далекого от этого всего человека, нужно что бы сервер сам запускался, и потом уже тонкие клиенты могли загружатся... как-то так)
помогите пожалйста

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: автозапyск dhcp - сервера
« Ответ #1 : 13 Февраль 2011, 00:28:52 »
Версия дистрибутива.
Название и версия dhcp-сервера, как ставили сервер.

Оффлайн korosten

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: автозапyск dhcp - сервера
« Ответ #2 : 13 Февраль 2011, 00:32:09 »
Дистрибутив Ubuntu 10.10.
Вообщем там DHCP3 стоит, устанавливал весь сервер с помощью данной инструкции
http://krugovizor.blogspot.com/2010/11/ubuntu-1010-ltsp.html

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: автозапyск dhcp - сервера
« Ответ #3 : 13 Февраль 2011, 00:42:48 »
sudo update-rc.d dhcp3-server defaults
И проверьте после ребута:
sudo service dhcp3-server status

Оффлайн korosten

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: автозапyск dhcp - сервера
« Ответ #4 : 13 Февраль 2011, 00:51:02 »
update-rc.d: warning: dhcp3-server stop runlevel arguments (0 1 6) do not match LSB Default-Stop values (1)
 System start/stop links for /etc/init.d/dhcp3-server already exist.

выбивает и незнаю что делать(

Пользователь решил продолжить мысль 13 Февраль 2011, 00:54:41:
я так понял что это что-то в конфиге...ну вообщем вот он весь, может подскажете что исправить?

#!/bin/sh
#
# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
#

### BEGIN INIT INFO
# Provides:          dhcp3-server
# Required-Start:    $remote_fs $network $syslog
# Required-Stop:     $remote_fs $network $syslog
# Should-Start:      $local_fs slapd
# Should-Stop:       $local_fs slapd
# Default-Start:     2 3 4 5
# Default-Stop:      1
# Short-Description: DHCP server
# Description:       Dynamic Host Configuration Protocol Server
### END INIT INFO

PATH=/sbin:/bin:/usr/sbin:/usr/bin

# Default config file
CONFIG_FILE=/etc/dhcp3/dhcpd.conf

# Allow ltsp to override
if [ -f /etc/ltsp/dhcpd.conf ]; then
       CONFIG_FILE=/etc/ltsp/dhcpd.conf
fi

test -f /usr/sbin/dhcpd3 || exit 0

# It is not safe to start if we don't have a default configuration...
if [ ! -f /etc/default/dhcp3-server ]; then
   echo "/etc/default/dhcp3-server does not exist! - Aborting..."
   echo "Run 'dpkg-reconfigure dhcp3-server' to fix the problem."
   exit 0
fi

. /lib/lsb/init-functions

# Read init script configuration (so far only interfaces the daemon
# should listen on.)
[ -f /etc/default/dhcp3-server ] && . /etc/default/dhcp3-server

NAME=dhcpd3
DESC="DHCP server"
DHCPDPID=/var/run/dhcp3-server/dhcpd.pid

test_config()
{
   if ! /usr/sbin/dhcpd3 -t -q -cf $CONFIG_FILE > /dev/null 2>&1; then
      echo "dhcpd self-test failed. Please fix the config file."
      echo "The error was: "
      /usr/sbin/dhcpd3 -t -cf $CONFIG_FILE
      exit 1
   fi
}

# single arg is -v for messages, -q for none
check_status()
{
    if [ ! -r "$DHCPDPID" ]; then
   test "$1" != -v || echo "$NAME is not running."
   return 3
    fi
    if read pid < "$DHCPDPID" && ps -p "$pid" > /dev/null 2>&1; then
   test "$1" != -v || echo "$NAME is running."
   return 0
    else
   test "$1" != -v || echo "$NAME is not running but $DHCPDPID exists."
   return 1
    fi
}

case "$1" in
   start)
      test_config
      log_daemon_msg "Starting $DESC" "$NAME"

      # allow dhcp server to write lease and pid file
      mkdir -p /var/run/dhcp3-server
      chown dhcpd:dhcpd /var/run/dhcp3-server
      [ -e /var/lib/dhcp3/dhcpd.leases ] || touch /var/lib/dhcp3/dhcpd.leases
      chown dhcpd:dhcpd /var/lib/dhcp3 /var/lib/dhcp3/dhcpd.leases
      if [ -e /var/lib/dhcp3/dhcpd.leases~ ]; then
          chown dhcpd:dhcpd /var/lib/dhcp3/dhcpd.leases~
      fi

      start-stop-daemon --start --quiet --pidfile $DHCPDPID \
         --exec /usr/sbin/dhcpd3 -- -q -pf $DHCPDPID -cf $CONFIG_FILE  $INTERFACES
      sleep 2

      if check_status -q; then
         log_end_msg 0
      else
         log_failure_msg "check syslog for diagnostics."
         log_end_msg 1
         exit 1
      fi
      ;;
   stop)
      log_daemon_msg "Stopping $DESC" "$NAME"
      start-stop-daemon --stop --quiet --pidfile $DHCPDPID
      log_end_msg $?
      rm -f "$DHCPDPID"
      ;;
   restart | force-reload)
      test_config
      $0 stop
      sleep 2
      $0 start
      if [ "$?" != "0" ]; then
         exit 1
      fi
      ;;
   status)
      echo -n "Status of $DESC: "
      check_status -v
      exit "$?"
      ;;
   *)
      echo "Usage: $0 {start|stop|restart|force-reload|status}"
      exit 1
esac

exit 0
« Последнее редактирование: 13 Февраль 2011, 00:54:41 от korosten »

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: автозапyск dhcp - сервера
« Ответ #5 : 13 Февраль 2011, 01:05:45 »
sudo service dhcp3-server status
sudo service dhcp3-server stop
sudo service dhcp3-server start
Что пишет?

 

Страница сгенерирована за 0.052 секунд. Запросов: 22.